Skip to main content
GET
/
api
/
document-stores
/
{id}
Get DocumentStores by ID
curl --request GET \
  --url https://platform.kodexa.ai/api/document-stores/{id} \
  --header 'x-api-key: <api-key>'
{
  "changeSequence": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "deprecated": true,
  "eventAware": true,
  "extensionPackRef": "<string>",
  "id": "<string>",
  "metadata": {
    "deleteProtection": true,
    "metadata": {
      "documentProperties": {},
      "indexed": true,
      "labelExpressions": {},
      "type": "<string>"
    },
    "storePurpose": "<string>",
    "storeType": "<string>"
  },
  "name": "<string>",
  "organizationId": "<string>",
  "publicAccess": true,
  "slug": "<string>",
  "supportsScheduling": true,
  "template": true,
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Response

The DocumentStores

changeSequence
integer<int32>
createdOn
string<date-time>
deprecated
boolean
eventAware
boolean | null
extensionPackRef
string
id
string
metadata
object
name
string
organizationId
string
publicAccess
boolean
slug
string
supportsScheduling
boolean | null
template
boolean
updatedOn
string<date-time>
uuid
string